Package: groovy.mock.interceptor

## [Groovy] Class MockInterceptor

- groovy.mock.interceptor.MockInterceptor

- All Implemented Interfaces and Traits:
    PropertyAccessInterceptor

      class MockInterceptor
      extends Object
      implements PropertyAccessInterceptor

  Intercepting calls to the collaborating object and notify the expectation object.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `expectation`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MockInterceptor()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `afterInvoke(Object object, String methodName, Object[] arguments, Object result)`
    `` | `Object` | `beforeGet(Object object, String property)`
    `` | `Object` | `beforeInvoke(Object object, String methodName, Object[] arguments)`
    `` | `void` | `beforeSet(Object object, String property, Object newValue)`
    `` | `boolean` | `doInvoke()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### Object expectation

  - ### Constructor Detail

    - #### MockInterceptor()

  - ### Method Detail

    - #### Object afterInvoke(Object object, String methodName, Object[] arguments, Object result)

    - #### Object beforeGet(Object object, String property)

    - #### Object beforeInvoke(Object object, String methodName, Object[] arguments)

    - #### void beforeSet(Object object, String property, Object newValue)

    - #### boolean doInvoke()